Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.collections
Class IndexInfo

    java.lang.Object
      org.exist.collections.IndexInfo

public class IndexInfo
extends java.lang.Object

Internal class used to track required fields between calls to `Collection.validateXMLResource(Txn, DBBroker, XmldbURI, InputSource)` and `Collection.store(Txn, DBBroker, IndexInfo, InputSource, boolean)`.

Author:
  wolf

Method Summary
`DocumentImpl` | `getDocument()`
`DOMStreamer` | `getDOMStreamer()`
`Indexer` | `getIndexer()`
`org.xml.sax.XMLReader` | `getReader()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIndexer

    public Indexer getIndexer()

### getReader

    public org.xml.sax.XMLReader getReader()

### getDOMStreamer

    public DOMStreamer getDOMStreamer()

### getDocument

    public DocumentImpl getDocument()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.